$(function(){

	//ループエリア
	var movieRoopArea = $('#movieRoopArea');

	//カスタムシークエリア全体
	var customSeekArea = $('#customSeekArea');
	//レンジバー
	var slider = $("#customSeekArea .slider");
	var textBox_minutes = $("#customSeekArea .minutes");
	var textBox_seconds = $("#customSeekArea .seconds");

	//実行ボタン
	var customSeekRunButton = $('#customSeek');

	//テキストボックスの値
	var textBox_minutes_value = 0;
	var textBox_seconds_value = 0;

	//カスタムシークを開くボタン
	var customSeek_openButton = $('#customSeekArea .openButton');
	//カスタムシークを閉じるボタン
	var customSeek_closeButton = $('#customSeekArea .closeButton');

	//開くボタンの挙動
	customSeek_openButton.on('click',function(){
		customSeekArea.css({
			'bottom' : '0px'
		});
		customSeek_openButton.css({
			'visibility' : 'hidden'
		});
		movieRoopArea.css({
			'bottom' : '-300px'
		});
	});

	//閉じるボタンの挙動
	customSeek_closeButton.on('click',function(){
		customSeekArea.css({
			'bottom' : '-100px'
		});
		customSeek_openButton.css({
			'visibility' : 'visible'
		});
		movieRoopArea.css({
			'bottom' : '-200px'
		});
	});

	//スライダーの挙動
	slider.on('input',function(e){
		console.log(this.value);
		var minValue = Math.floor(parseInt(this.value) / 60);
		var secValue = parseInt(this.value) - (minValue * 60);
		textBox_minutes_value = minValue;
		textBox_seconds_value = secValue;
		textBox_minutes.val(minValue);
		textBox_seconds.val(secValue);
		setMoveTime();
	});

	//テキストボックスが入力されたら
	textBox_minutes.on('change',function(e){
		textBox_minutes_value = $(this).val();
		setRangeValue();
	});
	textBox_seconds.on('change',function(e){
		textBox_seconds_value = $(this).val();
		setRangeValue();
	});
	//レンジを変更する
	function setRangeValue(){
		var setTime = parseInt(textBox_minutes_value * 60) + parseInt(textBox_seconds_value);
		slider.val(setTime);
		setMoveTime();
	}

	//実行ボタンの中身を変更する
	function setMoveTime(){
		var minText = "";
		var secText = "";
		if(textBox_minutes_value < 10){
			minText = "0" + textBox_minutes_value.toString();
		}else{
			minText = textBox_minutes_value.toString();
		}
		if(textBox_seconds_value < 10){
			secText = "0" + textBox_seconds_value.toString();
		}else{
			secText = textBox_seconds_value.toString();
		}
		var value = minText + ':' + secText;
		customSeekRunButton.attr('data-seektime',value);
	}
});