$(function(){

	//カスタムシークエリア全体
	var customSeekArea = $('#customSeekArea');

	//ループエリア
	var movieRoopArea = $('#movieRoopArea');
	//ループエリアを閉じるボタン
	var closeRoopArea = $('#movieRoopArea .closeButton');
	//ループエリアを開くボタン
	var openRoopArea = $('#movieRoopArea .openButton');
	//実行ボタン
	var runRoop = $('#movieRoopArea .runRoop');
	//停止ボタン
	var stopRoop = $('#movieRoopArea .stopRoop');
	//秒数飛ばし要素
	var jumpElement = $('#movieRoopArea .jump');
	//現在の秒数
	var nowTime = $('#js-app .PlayerPlayTime-playtime');

	//現在の状態
	var statusText = $('#movieRoopArea .status');

	//開始時間のテキストボックス_分
	var startTime_minutes_textbox = $('#movieRoopArea .minutes_start');
	//開始時間のテキストボックス_秒
	var startTime_seconds_textbox = $('#movieRoopArea .seconds_start');

	//終了時間のテキストボックス_分
	var endTime_minutes_textbox = $('#movieRoopArea .minutes_end');
	//終了時間のテキストボックス_秒
	var endTime_seconds_textbox = $('#movieRoopArea .seconds_end');

	//開始
	var startTime_minutes = 0;
	var startTime_seconds = 0;

	//終了
	var endTime_minutes = 0;
	var endTime_seconds = 0;

	//ループ処理実行中？
	var isRoop = false;

	//ループタイマー
	var roopTimer;

	//開くボタンの挙動
	openRoopArea.on('click',function(){
		movieRoopArea.css({
			'bottom':'0px'
		});
		openRoopArea.css({
			'visibility' : 'hidden'
		});
		customSeekArea.css({
			'bottom' : '-200px'
		});
	});

	//閉じるボタンの挙動
	closeRoopArea.on('click',function(){
		movieRoopArea.css({
			'bottom':'-200px'
		});
		openRoopArea.css({
			'visibility' : 'visible'
		});
		customSeekArea.css({
			'bottom' : '-100px'
		});
	});

	//テキストボックスが入力されたら(開始時間)
	startTime_minutes_textbox.on('change',function(e){
		startTime_minutes = $(this).val();
		console.log('開始時間(分)が変更された : ',startTime_minutes);
	});
	startTime_seconds_textbox.on('change',function(e){
		startTime_seconds = $(this).val();
		console.log('開始時間(秒)が変更された : ',startTime_seconds);
	});

	//テキストボックスが入力されたら(終了時間)
	endTime_minutes_textbox.on('change',function(e){
		endTime_minutes = $(this).val();
		console.log('終了時間(分)が変更された : ',endTime_minutes);
	});
	endTime_seconds_textbox.on('change',function(e){
		endTime_seconds = $(this).val();
		console.log('終了時間(秒)が変更された : ',endTime_seconds);
	});

	//実行ボタンを押された。
	runRoop.on('click',function(){
		setMoveTime();
	});
	//停止ボタン
	stopRoop.on('click',function(){
		console.log('clearRoop');
		clearInterval(roopTimer);
		isRoop = false;
		statusText.text('停止中');
	});

	//実行ボタンの中身を変更する
	function setMoveTime(){
		if(isRoop){
			alert('ループ実行中です。');
		}else{
			var value = arrangeTime(startTime_minutes,startTime_seconds);
			jumpElement.attr('data-seektime',value);

			//エラー処理周り
			var stTime_int = parseInt(startTime_minutes) * 100 + parseInt(startTime_seconds);
			var edTime_int = parseInt(endTime_minutes) * 100 + parseInt(endTime_seconds);
			if(edTime_int == 0){
				//終了時間が 00:00 の場合はエラーを出す
				alert('終了時間が 0分0秒 です。');
				return;
			}else if(edTime_int <= stTime_int){
				//終了時間が開始時間よりも手前の場合はエラーを出す
				alert('エラー : 終了時間が開始時間よりも手前です');
				return;
			}else{
				startTimer();
				isRoop = true;
				statusText.text('起動中');
			}
		}
	}

	//タイマー開始
	function startTimer(){
		roopTimer = setTimeout(checkNowTime,100);
	}

	//時間整形(XX:XX)
	function arrangeTime(minutes,seconds){
		var minText = "";
		var secText = "";
		var value = "";
		if(minutes < 10){
			minText = "0" + minutes.toString();
		}else{
			minText = minutes.toString();
		}
		if(seconds < 10){
			secText = "0" + seconds.toString();
		}else{
			secText = seconds.toString();
		}
		value = minText + ':' + secText;
		return value;
	}

	//秒数チェック
	function checkNowTime(){
		console.log(nowTime.text());
		if(nowTime.text() == arrangeTime(endTime_minutes,endTime_seconds)){
			console.log('ループ位置に到着');
			var run = document.getElementById("roopJump");
			run.click();
		}
		startTimer();
	}

});